<template>
  <v-edit-dialog
    large
    persistent
    :save-text="$t('save')"
    :cancel-text="$t('cancel')"
    @save="$emit('onSave', $event)"
    @open="onOpen"
    @close="onClose"
  >
    <slot>
      {{ item }}
    </slot>
    <template v-slot:input>
      <slot name="dialog" />
    </template>
  </v-edit-dialog>
</template>

<script>
  export default {
    name: 'CrudDataTableUpdate',
    props: {
      item: [Number, String],
    },
    data () {
      return {
        valueBeforeEdit: null,
      }
    },
    methods: {
      onOpen () {
        this.valueBeforeEdit = this.item
      },
      onClose () {
        this.$emit('emitTheValueBeforeEditOnClose', this.valueBeforeEdit)
      },
    },
    i18n: {
      messages: {
        'pt-BR': {
          save: 'Salvar',
          cancel: 'Cancelar',
        },
        'en-US': {
          save: 'Save',
          cancel: 'Cancel',
        },
      },
    },
  }
</script>
